Custom Tags
Labels and categorization
Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Item ID to tag
Category handle
Tag key/name
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/custom-tags" \ -H "Content-Type: application/json" \ -d '{ "itemId": 0, "categoryHandle": "string", "key": "string" }'{ "status": "success", "data": { "id": 0, "key": "string", "categoryHandle": "string", "categoryId": 0, "languageId": 0 }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Item ID
Custom tag ID to link
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/custom-tags/link" \ -H "Content-Type: application/json" \ -d '{ "itemId": 0, "customTagId": 0 }'{ "status": "success", "data": { "success": true }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Query Parameters
Search string (minimum 3 characters)
3 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/custom-tags/search?query=string"{ "status": "success", "data": [ { "id": 0, "key": "string", "categoryHandle": "string", "categoryId": 0, "languageId": 0 } ], "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Item ID
Custom tag ID to unlink
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/custom-tags/unlink" \ -H "Content-Type: application/json" \ -d '{ "itemId": 0, "customTagId": 0 }'{ "status": "success", "data": { "success": true }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}